<template>
  <div class="Home">
      <h1>Sauve le MINION !</h1>
    <div v-on:click="move">
      <img id="minion" src="img/minion.jpg" alt="caractere" />
    </div>
  </div>
</template>

<script>
export default {
  methods: {
    move() {
      alert("Merci ! ;)");
    }
  }
};
</script>

<style scoped>
#minion {
  position: relative;
  top: 200px;
  height: 150px;
  width: 120px;
  animation: 5s linear run infinite;
}

@keyframes run {
  0% {
    transform: translateX(-300%) rotate(0deg);
  }
  50% {
      transform: translateX(0%) rotate(720deg);
  }
  100% {
    transform: translateX(300%) rotate(1420deg);
  }
}
</style>